---

- hosts: all
  tasks:

  - name: get the rpm or apt package facts about mc
    package_facts:
      manager: "auto"

  - name: show mc version
    debug: var=ansible_facts.packages['mc'][0]['version']

  - name: show yum version
    debug: var=ansible_facts.packages['yum'][0]['version']

  - name: show mc package 
    debug: var=ansible_facts.packages['mc'][0]['version']
    when: "'mc' in ansible_facts.packages"


  - name: show kernel package
    debug: var=ansible_facts.packages['kernel'][0]['version']
    when: "'kernel' in ansible_facts.packages"

  - name: show atop package
    debug: var=ansible_facts.packages['atop'][0]['version']
    when: "'atop' in ansible_facts.packages"

